<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: KGraphInterfacePart Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>KGraphInterfacePart Class Reference</h1><!-- doxytag: class="KGraphInterfacePart" -->Main Part.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="kgraphinterface__part_8h-source.html">kgraphinterface_part.h</a>&gt;</code>
<p>
<a href="classKGraphInterfacePart-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#81c922713f610f9f3429ed6c9331ebe3">KGraphInterfacePart</a> (QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#28d9cc6a41fac98c04e4adeef6e8cd07">~KGraphInterfacePart</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#dc41fc8650d1986825d398083490d183">setReadWrite</a> (bool rw)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#8dd80fc1bd380be409dae0eec6e31378">setModified</a> (bool modified)</td></tr>

<tr><td colspan="2"><br><h2>Protected Slots</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d15d03254f3b3471f3cf7c198dbf56de"></a><!-- doxytag: member="KGraphInterfacePart::fileOpen" ref="d15d03254f3b3471f3cf7c198dbf56de" args="()" -->
void&nbsp;</td><td class="memItemRight" valign="bottom"><b>fileOpen</b> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3d4d3d19781c8ab1a6899d3f6fd8814c"></a><!-- doxytag: member="KGraphInterfacePart::fileSaveAs" ref="3d4d3d19781c8ab1a6899d3f6fd8814c" args="()" -->
void&nbsp;</td><td class="memItemRight" valign="bottom"><b>fileSaveAs</b> ()</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#ec34a8c50e649bf19d82ae4f64b79ae4">openFile</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classKGraphInterfacePart.html#4c108d73733e8ad1e3efb43b4a83abed">saveFile</a> ()</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Main Part. 
<p>
This is a "Part". It that does all the real work in a KPart application.<p>
<dl compact><dt><b>Author:</b></dt><dd>Schpilka Yannick &lt;<a href="mailto:schpilka@gmail.com">schpilka@gmail.com</a>&gt; </dd></dl>
<dl compact><dt><b>Version:</b></dt><dd>0.1 </dd></dl>

<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="81c922713f610f9f3429ed6c9331ebe3"></a><!-- doxytag: member="KGraphInterfacePart::KGraphInterfacePart" ref="81c922713f610f9f3429ed6c9331ebe3" args="(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KGraphInterfacePart::KGraphInterfacePart           </td>
          <td>(</td>
          <td class="paramtype">QWidget *&nbsp;</td>
          <td class="paramname"> <em>parentWidget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>widgetName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QObject *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor 
</div>
</div><p>
<a class="anchor" name="28d9cc6a41fac98c04e4adeef6e8cd07"></a><!-- doxytag: member="KGraphInterfacePart::~KGraphInterfacePart" ref="28d9cc6a41fac98c04e4adeef6e8cd07" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KGraphInterfacePart::~KGraphInterfacePart           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ec34a8c50e649bf19d82ae4f64b79ae4"></a><!-- doxytag: member="KGraphInterfacePart::openFile" ref="ec34a8c50e649bf19d82ae4f64b79ae4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool KGraphInterfacePart::openFile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This must be implemented by each part 
</div>
</div><p>
<a class="anchor" name="4c108d73733e8ad1e3efb43b4a83abed"></a><!-- doxytag: member="KGraphInterfacePart::saveFile" ref="4c108d73733e8ad1e3efb43b4a83abed" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool KGraphInterfacePart::saveFile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This must be implemented by each read-write part 
</div>
</div><p>
<a class="anchor" name="8dd80fc1bd380be409dae0eec6e31378"></a><!-- doxytag: member="KGraphInterfacePart::setModified" ref="8dd80fc1bd380be409dae0eec6e31378" args="(bool modified)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void KGraphInterfacePart::setModified           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>modified</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Reimplemented to disable and enable Save action 
</div>
</div><p>
<a class="anchor" name="dc41fc8650d1986825d398083490d183"></a><!-- doxytag: member="KGraphInterfacePart::setReadWrite" ref="dc41fc8650d1986825d398083490d183" args="(bool rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void KGraphInterfacePart::setReadWrite           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>rw</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This is a virtual function inherited from KParts::ReadWritePart. A shell will use this to inform this Part if it should act read-only 
</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li>kgraphinterface/src/<a class="el" href="kgraphinterface__part_8h-source.html">kgraphinterface_part.h</a><li>kgraphinterface/src/kgraphinterface_part.cpp</ul>
<hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:39 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
